require 'test_helper'

class UserProfileTest < ActiveSupport::TestCase
  fixtures :user_profiles
  
  def test_should_require_user_id
    userprofile = UserProfile.create(:user_id => nil)
    assert userprofile.errors.on(:user_id), "Missing User ID should add an error"
  end
  
  def test_should_require_first_name
    userprofile = UserProfile.create(:first_name => nil)
    assert userprofile.errors.on(:first_name), "Missing First Name should add an error"
  end
  
  def test_should_require_last_name
    userprofile = UserProfile.create(:last_name => nil)
    assert userprofile.errors.on(:last_name), "Missing Last Name should add an error"
  end

=begin
  # We're not requiring gender at this point.
  def test_should_require_gender
    userprofile = UserProfile.create(:gender => nil)
    assert userprofile.errors.on(:gender), "Missing Gender Should add an error"
  end
=end
end
